/****************************************************************************
 *
 * Copyright (c) 2010-2012, EBM WebSourcing
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 *
 *****************************************************************************/
 
package org.ow2.petals.cli.api.command.exception;

import org.apache.commons.cli.Option;
import org.ow2.petals.cli.api.command.Command;

/**
 * Exception thrown when an error occurs on argument parsing of the command.
 * 
 * @author Christophe DENEUX - Linagora
 */
public class CommandMissingArgumentException extends CommandInvalidException {

    private static final long serialVersionUID = -7866917545455146363L;

    public final static String MISSING_ARGUMENT = "Missing argument";

    /**
     * The option for which an argument is missing.
     */
    private final Option option;

    public CommandMissingArgumentException(final Command command, final Option option) {
        super(command, MISSING_ARGUMENT + ": " + option.getOpt());
        this.option = option;
    }

    /**
     * @return The option for which an argument is missing.
     */
    public Option getOption() {
        return this.option;
    }

}
